QTelescope cumynsaums
07/02/2017 04:37 PM - Vitaliy Schetinin

Status: OrtkpbiTa Start date: 07/02/2017
Priority: Hunakuia Due date:

Assignee: % Done: 0%
Category: QTelescope Estimated time: 0.00 hour
Target version: v-0.4

Description

Heobonumo peanv3oBatb reoMeTpUIO U Knacc feTekTopa Ans keagpatHoro Teneckona ERQTelescope.
FeomeTtpus:

LleTekTop COCTOUT U3 HECKONbKM KBaapaTHbIX MNAcTUH U3 KpeMHUs(silicon), pacnonoxeHbl apyr 3a ApyroM U Maccvea KpUCTanos
Csl.

MnacTyHbl KPEMHWSI: pa3Mep NNacTuHbI - KBaapaT CTOPOHON 99.2 MM, YyBCTBUTENbHAs 06nacTb - KBagpat CTOpoHOW 94.08 MMm.
(nenaem obbem(k Nnpumepy station) 6onblwMM pa3mepoM 1 BHEro BCTaB/isieM 06 beM MEHbLIETro pa3mMepa, KOTOPbIi Ha3Ha4YaeM

4yBCTBUTESbHbIM). TOMWMHA KpeMHUs 0.3 MM,

C onHo CTOPOHbI 64 CTpUNa, BLITAHYThHIX BAO/b X, C Wwarom 1.47 MM, C Apyroli CTOPOHbI Takue Xe CTPUMbl, BbITSHYyTble BAOALY. (B
CUMYNALUN 3TOTO HE YYUTbIBAEM)

Mosaaow BTOpOI NnacTuHbl ByoyT CTOSATh 4 Nnapannenenunena (Ans Hadana, Ha caMoMm Aene popma cnoxHee) us kpuctannos Csl
(kak Ha3biBaeTcs matepuan cMoTpeTb B Gadast). Paamep kaxporo 50x50x40 mm. CTeHka KpucTanos - Maccus 2x2

PacnonoxeHne no ocn Z nnacTuH N CTEHKK Kpuctannos BBECTW NepeMeHHbIMX B Ha4Yane Makpoca reoMeTpun. MwuweHb BCerna
pacnonoraetcs B Hyne. [lepBas cTaHUMS pacnonoXxeHa Ha pacctosHun 5 cMm, BTopas Yyepes 1 cM, CTeHka elwe vyepe3 1 cM.

Cumynsauus:
JobasnTb B cumynsiumto newepy n QTelescope

1) C nomowbto FairBoxGeberator 06¢TpensTb npoToHaMu umnynscom 500 MeB, ncnyckaemble U3 Hyns. 3aaaTte auanasoH yrios
theta Tak, 4T06bl NPOTOHbI HE YNneTan MUMO LeTeKTopa.

2) C nomoubto ERlonGenerator o6ctapensite MoHoM Si24. SHeprus 40 MeB Ha HyKNOH

Related issues:
Related to Developing #81: YcosepuweHTcBOBaHNA QTelescope Cumynauum n anaxuTms... 3akpbiTa 10/12/2017

History

#1 - 07/02/2017 06:48 PM - Vitaliy Schetinin

- Assignee changed from Vitaliy Schetinin to Anonymous

#2 - 07/18/2017 07:25 PM - Anonymous

Kak HasHaunTb 06beM 4yBCTBUTENBHBIM ?(ECnn 3T0 HY>XXHO AenaTb B Makpoce reoMeTpum)
W kakoit maTepuan nyywe ucrnonb3osaTtb Ans station ?

#3 - 07/18/2017 07:58 PM - Vitaliy Schetinin

1) O6bem Ha3HavyaeTCst YyBCTBUTENBHBIM B knacce getektopa. B metone ChecklfSensetive/

2) MaTepman CTaHUMN HaM He BaXeH. MOXHO NPOCTO BakyyM. MOXHO erMHI/II7I. OH BC€ paBHO BbITECHUTCA.
#4 - 07/19/2017 03:21 PM - Sergey Belogurov

YT0o4HeHue: Teneckon cocTouT U3 0AHOW Si MnacTuHbl CO CcTpunamm ¢ 2-x cTopoH (X n Y), n 4-x Csl 3a nnacTnHow.
Heckonbko Taknx Teneckonos (MMUHUMYM 4 ) BbICTPOEHbI B PS4 MO rOPU3OHTanm
Ctpunbl, BbITAHYTbIe BOOMb Y M3MEPSIOT X, MO3TOMY HasbiBatoTcs X cTpynamm

#5 - 07/19/2017 07:23 PM - Anonymous

Sergey Belogurov wrote:

YT0ouHeHune: Teneckon COCTOUT U3 0AHOM Si NnacTuHbl Co CTpMNamm ¢ 2-x cTopoH (X n'Y), n 4-x Csl 3a nnactuHo.
Heckonbko Taknx Teneckonos (MUHUMYM 4 ) BLICTPOEHbI B PS4 MO FrOPU3OHTaNn
CTpunbl, BEITSHYTble BAOMb Y N3MEPSIOT X, MO3TOMY HasbiBalOTCS X CTpUnamu

Kakas torpa nonyyaetcs TonwmHa y atoit nnactuHel ? Kak 2 HeiHewHee (0,6 mm) ? Minn Bce Tak xe 0.3 ?

#6 - 07/19/2017 09:28 PM - Vitaliy Schetinin

TonwmHa Ta xe. Hy>XHo NpocTo B TekyLyto nonocky no6aBmTb Maccue kBaapaTukos. B utore nonyuntcs 6onbloli Maccue 64x64 KBanpaTrkos.
Mpy hopMmpoBaHNM MONHTA HY>XKHO 3aNOMHUTbL Y HErO HE TONIbKO HOMEP MONIOCKK, HO U HOMep KBadpaTuka. (koopanHaty no Xuno'Y.
npeanonoXum Homep nonocku 6yneT HOMEPOM 3aropesluerocst cTpuna no X, HoMep KBaapaTuka - Homep 3aropeselrocs ctpuna no Y) Bee yeTbipe
Teneckona bynyT B 9TOW reOMETPUM peann3oBaHbl. TO ECTb Mbl BCTaNsieM 4 pa3a CTaHLUUI0 KPeMHUS 1 4 pasa cTeHky ¢ Csl

B utore 6ynyT asa Trna nonHToB: ERQTelescopeSiPoint 1 ERQTelescopeCsiPoint. B nepsom 6yneT 3anoMHeH Homepa cTpunos no X nno 'Y,
HOMep CTaHuumn no nopsaky, so BTopom Homep Csl(0..3) n HOMep CTEHKMN.

#7 - 07/20/2017 02:13 PM - Anonymous

"eomeTpus akTyannsmposaHa.
B nucbMe 6b1n0 HanMcaHo:

n
Taxxe pewwun RTelescope v QTelescope caenaTs 0aHOM NANKOM, TaK KaK y HiX 06uue NpoUenyps 06pacoTky."

Yro aT0 3a npouenypbl 06paboTkn ? (OHU Hac KacalTcs?)

W B naHHbIi MOMEHT B Nanke TeneckornoB ToNbKO aga goarina ans Qtelescope, COOTBETCBEHHO HYXHO CO34aTb NOMHbIA Habop hainos, kak ons
Rtelescope u ckuHyTb BCe 3T0O Aeno B nanky telescope ?

#8 - 07/20/2017 02:30 PM - Vitaliy Schetinin

1) Bac noka 310 He kacaetcs. [MpocTo paboTaiTe B narke telescope

#9 - 07/21/2017 02:51 PM - Vitaliy Schetinin

MocmoTpen reomeTputo. Bece oTnmyHo. Xy Knacc cuMynsuum ¢ AByMs Tnamu MoMHTOB

#10 - 07/21/2017 05:38 PM - Anonymous
Vitaliy Schetinin wrote:

nOCMOTpeﬂ reoMeTpuio. Bce oTnunyHo. )K,u.y Knacc cumynsaumm ¢ oByms tunaMmm nonHTOB

Bce Bpone 6bl roTOBO, 32 UCKIOYEHWEM FNABHOMO: 51 HE MOHMMAI0 KakuM 06pasoM Hy>XHO UCTI0Nb30BaTb OYHHKLINN
CurrentVolOffID u CurrentVollD

AOnsa nonyyeHnsa Homepa cTpunos, CTaHUMWA 1 Tak janee.

B Tom xe BeamDet 310 BbIrnaamMT Kak marus

if (fELoss > 0.){

if(volNa
{
gMC->C
AddTOF
}

if(volNa
{
gMC->C
gMC->C
gMC->C
AddMW
}
}

#11 - 07/21/2017 09:32 PM - Vitaliy Schetinin

Korga Tbl co3gaelb reoMeTpuio, Tbl NCNONb3yellb AddNode meTtoz. Ero BTOPbIM apryMeHToOM sBNseTCA HOMep KOnnun AaHHOro obbekma BHYTpU
mMaTtepuHcKoro. PakTM4ecky UMEHHO 3TO YMCNO U HYXHO Tebe moctatb. CurrentVollD Bo3BpalwaeT B CBOM apryMeHT HOMEpP KOMuUn TEKYLEro
obbema B ero MatepnHckoM. To ecTb B TBOEM Clly4ae BEPHET HOMEpP KBanpaTuka B Nonaocke, MOTOMYy YTO TEKylLMM BO BpeMs BbidoBa ProcessHits B
no6oM crnyyae siBRseTCs YyBCTBUTENbHBIN(KOTOPLIN ykaaH B ChecklfSebsetive.) gMC->CurrentVolOffID Bo BTOpOi apryMeHT nuiweT HOMep Konuu
obsiemMa ecnu NoaHATCS HaBepx Mo nepapxmm o6beMOB Ha KONMYECTBO YPOBHEN ykasaHHoe B nepeoM aprymeHTte. gMC->CurrentVollD(copyNb) u
gMC->CurrentVolOffID(0,copyNb) coenatot ogHO 1 ToxXe.

MoaTtomy ons nony4eHns Homepa ksagpartvka (unu Homep ctpuna no X) ncnonbayin gMC->CurrentVollD(copyNb). [ns nony4yeHus Homepa nonocku

gMC->CurrentVolOffID(1,copyNb). Onsa nonyyeHus Homepa ctaHumm gMC->CurrentVolOffID(3,copyNb)(ecnu s npaBunbHO NOMHIO CTPYKTYPY TBOEN
reomeTpum)

#12 - 07/23/2017 03:41 PM - Anonymous

Ha moem HoyTOyke, cobpancs ER, kak BoiTu B Jenkins s He MOHsIN, NO3TOMy 3anywun Tak.

#13 - 07/25/2017 08:14 AM - Vitaliy Schetinin

ok. [MocmoTpen.

1) Heobxoammo B knacc ERQTelescopeCslIPoint no6aeute uHtepdpeicol k fN_Wall,fN_Block; B knacc ERQTelescopeSiPoint -
fN_Station,fX_Strip,fY_Strip

2) NobaButb Makpoc cumynauum n eventDisplay B macro/QTelescope(cm kak B opyrux getektopax). Kak Tbl nposepsin 10?

3) MeTopn ChecklfSensetive no4emy T0 onpeaensieT T0NbKO OAMH TWM Y4yBCTBUTENbHOrO 06bsema. Bynet ckopee BCero reHepupoBaTbCs TONbKO
OAOWH TN NOUHTOB.

4) C nomouwpto FairBoxGeberator o6ctpenste npoToHamu umnynscom 500 MeB, ncnyckaemele n3 Hyns. 3anatb AvanasoH yrnos theta Tak, 4Tobbl
NPOTOHbI HE yNneTanu MMMO JeTeKkTopa.

5) C nomouwplto FairBoxGeberator ob6ctpenstb HeliTpoHamu nmnynscom 500 MeB, ucnyckaemble 13 Hyns.

#14 - 11/07/2017 10:56 AM - Mikhail Kozlov

- Related to Developing #81: YcosepuweHtcsoBaHna QTelescope cumynaumm v anaxutndaumn added
